body,
html {
    margin: 0;
    padding: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    background-color: #000;
    color: #fff;
    font-family: 'Montserrat', Arial, sans-serif;
}

header,
footer {
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    z-index: 2;
    justify-content: center;
}

header img {
    max-width: 300px;
    height: auto;
    filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.7)) drop-shadow(2px 2px 14px rgba(0, 0, 0, 0.7));
}

main {
    flex: 1;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.video-container {
    position: relative;
    width: 100%;
    height: 100vh;
}

#ribbon {
    position: absolute;
    right: 30px;
    top: 50px;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 150px;
    height: 150px;
    padding: 20px;
    background: url(/assets/images/badge.svg);
    background-size: cover;
    border-radius: 100%;
    box-shadow: 0 4px 8px rgba(111, 93, 93, 0.2);
    color: #3C3115;
    text-shadow: 1px 1px 0px rgba(255, 255, 255, 0.8);
    font-weight: bold;
    text-decoration: none;
    text-align: center;
    transform: rotate(20deg);
    animation: pulse 2s infinite;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(231, 194, 102, 0.6);
    }

    70% {
        box-shadow: 0 0 0 20px rgba(231, 194, 102, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(231, 194, 102, 0);
    }
}

video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.countdown-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: #fff;
}

.countdown-container .message,
.countdown-container .expiration-date {
    font-size: 24px;
    margin-bottom: 10px;
    font-weight: normal;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.countdown-container .expiration-date {
    margin-top: 10px;
    font-size: 20px;
}

.countdown {
    font-size: 48px;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.content-block {
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 20px;
    max-width: 1000px;
    width: 100%;
    box-sizing: border-box;
}

.content-block h2 {
    font-size: 28px;
    font-weight: normal;
    margin-bottom: 20px;
    color: #fff;
}

.content-block a,
.content-block button {
    display: inline-block;
    align-self: center;
    position: relative;
    width: auto;
    padding: 10px 30px;
    margin-bottom: 40px;
    background: none;
    border: 2px solid white;
    border-radius: 10px;
    color: white;
    font-size: 1.25rem;
    text-decoration: none;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
}

.content-block a:hover {
    background: white;
    color: black;
}

.content-block form {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.content-block form p {
    margin: 0;
}

.content-block label {
    display: none;
}

.content-block input {
    margin-right: 10px;
    padding: 10px 30px;
    font-size: 1.25rem;
    border-radius: 10px;
    border: 2px solid white;
}

.content-block button {
    cursor: pointer;
    margin-bottom: 0;
}

.content-block a.facebook {
    display: flex;
    background: #1877F2;
    border-color: #1877F2;
}

.content-block a.facebook:hover {
    background: #0C3C79;
    border-color: #0C3C79;
    color: white;
}

.content-block a.instagram {
    display: flex;
    background: linear-gradient(to right, #833ab4, #fd1d1d, #fcb045);
    border: none;
    padding: 12px 30px;
}

.content-block a.instagram:hover {
    background: linear-gradient(to left, #833ab4, #fd1d1d, #fcb045);
    color: white;
}

.content-block a.facebook svg,
.content-block a.instagram svg {
    width: 24px;
    height: 24px;
    margin-right: 10px;
    fill: white;
}

.content-block img {
    max-width: 50%;
    height: auto;
    object-fit: cover;
    align-self: center;
}

#newsletter_response {
    padding: 1rem;
}

footer {
    justify-content: center;
    background-color: #000;
}

.menu {
    display: flex;
    gap: 15px;
}

.menu a {
    text-decoration: none;
    color: #fff;
    font-weight: bold;
}

.address {
    text-align: center;
    color: #fff;
}

.programs {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 4px;
    grid-row-gap: 4px;
    margin-bottom: 1rem;
}

.programs img {
    max-width: 100%;
    cursor: pointer;
}

.modal {
    position: fixed;
    z-index: 3;
    left: 0;
    top: 0;
    width: 0;
    height: 0;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
    text-align: center;
    transition: opacity .3s ease 0s;
    opacity: 0;
}

.modal.opened {
    display: block;
    width: 100%;
    height: 100%;
    opacity: 1;
}

.modal .modal-content {
    position: relative;
    display: inline-block;
    background-color: #fefefe;
    margin: 50px auto 0;
    padding: 20px;
    max-width: 600px;
    max-height: calc(100vh - 100px);
}

.modal .close {
    position: absolute;
    right: 0;
    bottom: 100%;
    display: block;
    width: 32px;
    height: 32px;
    background: white;
    color: #aaaaaa;
    font-size: 28px;
    font-weight: bold;
}

.modal .close:hover,
.modal .close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal img {
    display: block;
    max-width: 100%;
    max-height: calc(100vh - 100px);
}

.content-block .new-member-form {
    flex-direction: column;
    gap: 15px;
    text-align: left;
}

.page-adhesion header{
    position: relative;
}

.page-adhesion main {
    justify-content: normal;
}

.page-adhesion .content-block {
    padding-top: 0;
}

.new-member-form div {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.new-member-form label {
    display: block;
    font-size: 1.25rem;
    font-weight: bold;
    color: #fff;
}

.new-member-form .required {
    color: red;
}

.new-member-form input {
    margin-right: 0;
    padding: 10px 20px;
    font-size: 1.25rem;
    border-radius: 10px;
    border: 2px solid white;
}

.new-member-form a {
    display: inline;
    margin: 0;
    padding: 0;
    background: none;
    border: none;
    border-radius: 0;
    font-size: 1rem;
    text-decoration: underline;
    transition: none;
}

.new-member-form .terms-container {
    flex-direction: row;
    gap: 10px;
}

.new-member-form .terms-container label {
    font-size: 1rem;
}

.new-member-form button {
    width: 100%;
    transition: none;
}

.success-message {
    margin-bottom: 20px;
    background-color: oklch(0.979 0.021 166.113);
    color: oklch(0.378 0.077 168.94);
    border-radius: 12px;
    font-size: 1rem;
}

@media (max-width: 800px) {
    .countdown-container {
        width: 80%
    }

    .countdown-container .message {
        font-size: 20px;
    }

    .countdown {
        font-size: 34px;
    }

    .countdown-container .expiration-date {
        font-size: 16px;
    }

    .content-block h2 {
        font-size: 18px;
    }

    .content-block img {
        max-width: 80%;
    }
}